%define		module	sqlite
Summary:	A DB API v2.0 compatible interface to SQLite
Summary(pl.UTF-8):	Interfejs do SQLite kompatybilny z DB API v2.0
Name:		python-%{module}
Version:	2.6.3
Release:	3
License:	zlib/libpng
Group:		Development/Languages/Python
Source0:	http://pysqlite.googlecode.com/files/pysqlite-%{version}.tar.gz
# Source0-md5:	711afa1062a1d2c4a67acdf02a33d86e
URL:		http://pysqlite.googlecode.com/
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	sqlite3-devel >= 3.6.11
Requires:	python-modules
Provides:	python(sqlite)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension module for the SQLite embedded relational
database. It tries to conform to the Python DB-API Spec v2 as far as
possible. One problem is that SQLite returns everything as text. This
is a result of SQLite's internal representation of data, however it
still may be possible to return data in the type specified by the
table definitions.

%description -l pl.UTF-8
Ten pakiet zawiera moduł rozszerzenia dla osadzalnej relacyjnej bazy
danych SQLite. Próbuje on być w zgodzie ze specyfikacją Python DB-API
v2 na tyle, na ile to możliwe. Jednym problemem jest to, że SQLite
zwraca wszystko jako tekst. Jest to wynik wewnętrznej reprezentacji
danych przez SQLite; mimo to nadal jest możliwe zwracanie danych typu
podanego w definicji tabeli.

%prep
%setup -q -n pysqlite-%{version}

%build
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitedir} \
	%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{py_sitedir}/pysqlite2/test/py25
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/pysqlite2/{,test/}*.py \
	$RPM_BUILD_ROOT%{_prefix}/pysqlite2-doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc doc/*.txt
%dir %{py_sitedir}/pysqlite2
%{py_sitedir}/*.egg-info
%{py_sitedir}/pysqlite2/*.py[co]
%attr(755,root,root) %{py_sitedir}/pysqlite2/_%{module}.so
%dir %{py_sitedir}/pysqlite2/test
%{py_sitedir}/pysqlite2/test/*.py[co]
%changelog
* Sun Mar 01 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sqlite.git;a=log;h=auto/th/python-sqlite-2.6.3-3

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 457ba51
- x32 rebuild
- release 3 (by relup.sh)

* Wed Feb 11 2015 Elan Ruusamäe <glen@delfi.ee> 1ca4be0
- build with pythonegg provides

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> 157cc18
- Up to 2.6.3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 3488a7a
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 1fcad0d
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 911efd7
- release 2

* Tue Jun 15 2010 Caleb Maclennan <caleb@alerque.com> ebe5b5b
- Proper current upstream URLs

* Tue Jun 15 2010 Caleb Maclennan <caleb@alerque.com> 6747dff
- Up to 2.6.0, new upstream URLs

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 9756986
- sorted headers

* Fri Apr 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ca50c0
- trac can use various sqlite versions

* Sat Mar 14 2009 Artur Frysiak <artur@frysiak.net> 64ed484
- updated to 2.5.4 (fixes #339901)
- added egg-info

* Mon Mar 09 2009 qwiat <qwiat@pld-linux.org> 0113eed
- update to 2.5.2

* Sun Feb 22 2009 areq <areq@pld-linux.org> ec7c0f2
- 2.5.1

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d7589d2
- release 2

* Wed Jul 18 2007 twittner <twittner@pld-linux.org> 34db4f5
- up to 2.3.5

* Sun Apr 08 2007 shadzik <shadzik@pld-linux.org> 064be52
- 2.3.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1491eec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 0437c1a
- converted to UTF-8

* Sat Sep 30 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 35026e5
- rel. 2 for rebuild with python 2.5

* Sun Sep 03 2006 Patryk Zawadzki <patrys@room-303.com> 55e1ebe
- up to 2.3.2
- dropped setuptools
  (can be used with extended_setup.py but setup is enough)
- no egg

